AvodCloud Ruby Client
======================


Ruby wrapper of https://cn.avoscloud.com/ REST API



## Usage 

more details is in `lib/avod/client.rb`

	client = Avod::Client.new(your_app_id, your_app_key, you_master_key)

	client.get_all_users
	
	=> {"results"=>
	  [{"username"=>"h",
	    "createdAt"=>"2013-10-08T12:15:11.517Z",
	    "email"=>"oa414@163.COM",
	    "objectId"=>"525386cfe4b03677117c865e",
	    "emailVerified"=>false,
	    "updatedAt"=>"2013-10-08T12:15:11.517Z"}]}

	b = {beauty: "zj"}
	
	=> {:beauty=>"zj"}

	client.create_object("person", b)
	
	=> {"createdAt"=>"2013-11-06T13:03:51.360Z",
 	"objectId"=>"5279cdb7e4b048391d4746ac"}

	client.get_object("5279cdb7e4b048391d4746ac")

	{"objectId"=>"5279cdb7e4b048391d4746ac",
	 "beauty"=>"zj",
	 "createdAt"=>"2013-11-06T13:03:51.360Z",
	 "updatedAt"=>"2013-11-06T13:03:51.360Z"}

## TODO

- add more REST API wrapper
- now the rspec test rely on my test app_id created in avodcloud ,  if someone delete some object of it, the test may be failing

## Author

- Lin Xiangyu 
- [lxyweb@gmail.com](mailto://lxyweb@gmail.com)

----

The MIT License (MIT)

Copyright (c) 2013 Lin Xiangyu

Permission is hereby granted, free of charge, to any person obtaining a copy of
this software and associated documentation files (the "Software"), to deal in
the Software without restriction, including without limitation the rights to
use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
the Software, and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. 