require File.expand_path("../../lib/avod.rb", __FILE__)

describe "avod" do 


	before(:each) do 
		app_id = "ty3gmgv4wy39ce0fip38179tr785kwzdxi36s0tjp6c1qlql"
		app_key = "frul1auqu2qpqayn4bvlfnj8if9cboqdwxzfv9tko6z4rzwk"
		master_key = "1y91cayb2izmenmifwm9o5th57k2du2ykatxfafdsl36gd69"
		@client = Avod::Client.new(app_id, app_key, master_key)
		@class_name = 'PP'
	end

	context "Test Object" do


		it "get all object " do
			result = @client.get_all_object("PP")
			result.should be_a_kind_of(Hash)
			result.length.should be > 0
		end


		it "create object" do 
			object = {mm: 1, xx: "xx"}
			result = @client.create_object(@class_name, object)
			result["objectId"].should_not be_nil
			result["createdAt"].should_not be_nil
		end

		it "get object " do 
			@client.get_object("PP","525cf2e5e4b0007871b4da21").length.should be > 2
		end

		it "delete object" do 
			object = {mm: 1, xx: "xx"}
			result = @client.create_object(@class_name, object)
			objectId = result["objectId"]
			@client.delete_object("PP", objectId).should be_true
		end

		it "update object" do 
			object = {mm: 1, xx: "xx"}
			result = @client.create_object(@class_name, object)
			objectId = result["objectId"]
			object = {mm: 2, xx: "xx"}
			result = @client.update_object("PP", objectId, object)
			result = @client.get_object("PP", objectId)
			result["mm"].should eq(2)
		end

		
	end

	
end
